# $Revision: 1.22.2.22 $, $Date: 2008-02-15 01:29:34 $
#
# Conditional build:
%bcond_without	dist_kernel	# without distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_without	up		# don't build UP module
%bcond_without	smp		# don't build SMP module
%bcond_without	userspace	# don't build userspace utilities
%bcond_with	verbose		# verbose build (V=1)

%ifarch sparc
%undefine	with_smp
%endif

%if %{without kernel}
%undefine	with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif

%define		pname	submount
Summary:	Automatically mounts and unmounts removable media devices
Summary(pl):	Automatyczne montowanie i odmontowywanie wymiennych nonikw danych
Name:		%{pname}%{_alt_kernel}
Version:	0.9
Release:	62
License:	GPL v2
Group:		Base/Kernel
Source0:	http://dl.sourceforge.net/submount/%{pname}-%{version}.tar.gz
# Source0-md5:	f6abac328dbfb265eff18561065575c6
Patch0:		%{pname}-subfs.patch
URL:		http://submount.sourceforge.net/
%if %{with kernel}
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.7}
BuildRequires:	rpmbuild(macros) >= 1.308
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Submount is a system for automatically mounting and unmounting
removable media drives like cdroms and floppy disk drives. It works
with the Linux 2.6 kernel series. Once installed, it allows removable
media drives to be accessed as if they were permanently mounted. In
the opposite to supermount doesn't require patching the kernel.

%description -l pl
Submount jest systemem automatycznego montowania i odmontowywania
wymiennych nonikw danych, takich jak pyty CD-ROM czy dyskietki.
Dziaa z jdrami serii 2.6. Raz zainstalowany, umoliwia dostp do
wymiennych nonikw danych tak, jakby byy one trwale montowane. W
przeciwiestwie do supermount nie wymaga atania jdra.

%package -n kernel%{_alt_kernel}-fs-subfs
Summary:	Submount - kernel module
Summary(pl):	Submount - modu jdra
Group:		Base/Kernel
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}(vermagic) = %{_kernel_ver}}
Requires(post,postun):	/sbin/depmod

%description -n kernel%{_alt_kernel}-fs-subfs
This is a driver for Submount for Linux.

This package contains Linux module.

%description -n kernel%{_alt_kernel}-fs-subfs -l pl
Sterownik dla Linuksa do Submount.

Ten pakiet zawiera modu jdra Linuksa.

%package -n kernel%{_alt_kernel}-smp-fs-subfs
Summary:	Submount - SMP kernel module
Summary(pl):	Submount - modu jdra SMP
Group:		Base/Kernel
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}-smp(vermagic) = %{_kernel_ver}}
Requires(post,postun):	/sbin/depmod

%description -n kernel%{_alt_kernel}-smp-fs-subfs
This is a driver for Submount for Linux.

This package contains Linux SMP module.

%description -n kernel%{_alt_kernel}-smp-fs-subfs -l pl
Sterownik dla Linuksa do Submount.

Ten pakiet zawiera modu jdra Linuksa SMP.

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1

%build
%if %{with kernel}
%build_kernel_modules -C subfs-%{version} -m subfs
%endif

%if %{with userspace}
cd submountd-%{version}
%configure
%{__make} \
	CFLAGS="%{rpmcflags}"
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with kernel}
%install_kernel_modules -m subfs-%{version}/subfs -d kernel/fs
%endif

%if %{with userspace}
install -d $RPM_BUILD_ROOT{/sbin,%{_mandir}/man8}
install submountd-%{version}/net-submountd $RPM_BUILD_ROOT/sbin
install submountd-%{version}/submountd $RPM_BUILD_ROOT/sbin
install submountd-%{version}/submount.8 $RPM_BUILD_ROOT%{_mandir}/man8
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-fs-subfs
%depmod %{_kernel_ver}

%postun -n kernel%{_alt_kernel}-fs-subfs
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-smp-fs-subfs
%depmod %{_kernel_ver}smp

%postun -n kernel%{_alt_kernel}-smp-fs-subfs
%depmod %{_kernel_ver}smp

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc README submountd-%{version}/{AUTHORS,ChangeLog}
%attr(755,root,root) /sbin/*
%{_mandir}/man8/*
%endif

%if %{with kernel}
%if %{with up} || %{without dist_kernel}
%files -n kernel%{_alt_kernel}-fs-subfs
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/kernel/fs/subfs.ko*
%endif

%if %{with smp} && %{with dist_kernel}
%files -n kernel%{_alt_kernel}-smp-fs-subfs
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/kernel/fs/subfs.ko*
%endif
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: submount.spec,v $
Revision 1.22.2.22  2008-02-15 01:29:34  glen
- use kernel vermagic in deps

Revision 1.22.2.21  2008-02-12 11:01:11  glen
- release 61 (kernel-2.6.16.60-4)

Revision 1.22.2.20  2008-01-28 09:33:20  glen
- rel 60 (kernel-2.6.16.60-1)

Revision 1.22.2.19  2008-01-21 08:28:15  glen
- rel 59 (2.6.16.59-2)

Revision 1.22.2.18  2008-01-18 12:26:09  glen
- rel 58 (2.6.16.58-1)

Revision 1.22.2.17  2007/11/06 18:28:31  glen
- rel 57 (2.6.16.57-1)

Revision 1.22.2.16  2007/11/04 20:29:16  glen
- use kernel build macros

Revision 1.22.2.15  2007/11/04 20:22:05  glen
- prefix src package with alt kernel if present

Revision 1.22.2.14  2007/11/01 08:24:18  adamg
- release 56 (rebuild against 2.6.16.56-1)

Revision 1.22.2.13  2007/10/22 20:41:53  glen
- disable userspace for alt kernel

Revision 1.22.2.12  2007/10/22 20:24:59  glen
- unify kernel macros

Revision 1.22.2.11  2007/10/15 08:26:44  glen
- rel 55 (kernel 2.6.16.55)

Revision 1.22.2.10  2007/10/15 08:21:38  glen
- rel drbd.spec (2.6.16.55)

Revision 1.22.2.9  2007/10/01 21:25:45  glen
- rel 54

Revision 1.22.2.8  2007/09/30 22:17:50  adamg
- release 53.1 (rebuild against 2.6.16.53-2)

Revision 1.22.2.7  2007/09/05 19:30:12  glen
- rel 53 (kernel 2.6.16.53)

Revision 1.22.2.6  2007/06/04 08:09:08  glen
- rel 52 (2.6.16.52)

Revision 1.22.2.5  2007/05/11 06:38:50  glen
- rel 51 (2.6.16.51)

Revision 1.22.2.4  2007/05/08 12:10:09  glen
- rel 50 (kernel 2.6.16.50)

Revision 1.22.2.3  2007/04/25 22:11:03  glen
- rel 14 (kernel 2.6.16.49)

Revision 1.22.2.2  2007/03/27 22:17:36  glen
- rel 13 (kernel 2.6.16.45)

Revision 1.22.2.1  2007/03/15 23:16:27  glen
- rel 12

Revision 1.22  2007/01/23 10:26:01  hawk
- release 11

Revision 1.21  2006/12/08 13:05:51  hawk
- workaround for builder automation to allow building against
  kernel-grsecurity (via bcond)
- release 10

Revision 1.20  2006/10/20 00:33:49  charles
- updated -subfs.patch (for kernel >= 2.6.18)
- rel. ++

Revision 1.19  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.18  2006/07/02 15:37:17  hawk
- release 8

Revision 1.17  2006/07/02 09:45:38  charles
- alternative kernel support

Revision 1.16  2006/06/30 19:53:13  hawk
- release 7

Revision 1.15  2006/06/18 04:29:10  charles
- added -subfs.patch (kernel >= 2.6.16 compatibility)

Revision 1.14  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.13  2006/03/17 22:03:47  glen
- rel 6

Revision 1.12  2006/02/11 13:55:28  arekm
- rel 5

Revision 1.11  2006/01/26 10:03:00  arekm
- rel 4

Revision 1.10  2006/01/12 20:35:03  arekm
- rel 3; fix ppc/sparc

Revision 1.9  2005/11/13 02:20:02  sparky
- if there is no asm-powerpc link asm-ppc !
- spaces->tabs

Revision 1.8  2005/11/12 11:06:43  arekm
- rel 2

Revision 1.7  2005/09/22 18:22:31  pluto
- docs added, typo fixed, adapterized.

Revision 1.6  2005/09/22 18:16:24  pluto
- s/kernel-misc-submount/kernel-fs-subfs/.
- cosmetics/desc.

Revision 1.5  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.4  2005/08/17 23:08:45  qboosh
- pl cosmetics, kernel/userspace bconds

Revision 1.3  2005/08/16 21:55:15  charles
- rpmbuild(macros) >= 1.217 (fixed requires_releq_kernel_{up,smp} macro)
- more and fixed desc

Revision 1.2  2005/08/16 11:37:49  spider
- more pl
- this rel macro is really needed ?

Revision 1.1  2005/08/15 02:28:27  charles
- initial PLD release
